%define name squaroid
%define version 0.60.3
%define release 1mdk

Summary: Simple game to connect squares
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Strategy
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.squaroid.de/

%description
In Squaroid, you earn points by making squares -- that is, you put
your stones down on the board so that you've got one stone at each
corner of a square.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr --disable-sound

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/squaroid
make prefix=$RPM_BUILD_ROOT%{_prefix} install
install -m755 irc-bot/squaroid-host.pl $RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/squaroid"\
title="Squaroid"\
longtitle="Game about making squares"\
needs="x11"\
section="Amusement/Strategy"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/*
#%dir %{_datadir}/squaroid/
#%dir %{_datadir}/squaroid/gfx/
#%{_datadir}/squaroid/gfx/default/
#%{_datadir}/squaroid/gfx/themes.readme
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc irc-bot/README.host
%{_menudir}/*

%changelog
* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-1mdk
- updated to 0.60.3

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-3mdk
- BM & macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.50

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
-0.45

* Sat Sep 11 1999 Daouda LO <daouda@mandrakesoft.com>

 -0.42

* Thu Sep 09 1999 Daouda LO <daouda@mandrakesoft.com>

- Mandrake adaptations
- make the package relocatable
-- INSERT --                                    


